aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/createSourcePackages.sh
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@digia.com>2013-06-20 10:36:47 +0200
committerEike Ziller <eike.ziller@digia.com>2013-06-20 13:50:03 +0200
commit56dd0c7d459fbd5325667a7e65557ce7f8a6af80 (patch)
tree445297bfc95b6167c8a62d2d79b5edc15aef5ad9 /scripts/createSourcePackages.sh
parent5c5a129d066ac675dbdc5ab3ec4b7cddf98ba944 (diff)
The script for creating source packages no longer creates doc package
Reflect that in the name Change-Id: I8c7f81b0ff3b24e63401c6bbb90c9ad622c6ed0d Reviewed-by: Eike Ziller <eike.ziller@digia.com>
Diffstat (limited to 'scripts/createSourcePackages.sh')
-rwxr-xr-xscripts/createSourcePackages.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/scripts/createSourcePackages.sh b/scripts/createSourcePackages.sh
new file mode 100755
index 0000000000..6bec3202c6
--- /dev/null
+++ b/scripts/createSourcePackages.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+## Command line parameters
+if [[ $# != 1 ]]; then
+ cat <<USAGE
+usage:
+ $0 <version>
+
+ Creates tar and zip source package from HEAD of the main repository and submodules.
+ Files and directories are named after <version>.
+ example:
+ $0 2.2.0-beta
+USAGE
+ exit 1
+fi
+
+VERSION=$1
+PREFIX=qt-creator-${VERSION}-src
+cd `dirname $0`/..
+RESULTDIR=`pwd`
+TEMPSOURCES=`mktemp -d -t qtcCreatorSourcePackage.XXXXXX`
+echo "Temporary directory: ${TEMPSOURCES}"
+echo "Creating tar archive..."
+
+echo " Creating tar sources of repositories..."
+git archive --format=tar --prefix=${PREFIX}/ HEAD > ${TEMPSOURCES}/__qtcreator_main.tar || exit 1
+cd src/shared/qbs || exit 1
+git archive --format=tar --prefix=${PREFIX}/src/shared/qbs/ HEAD > ${TEMPSOURCES}/__qtcreator_qbs.tar || exit 1
+
+echo " Combining tar sources..."
+cd ${TEMPSOURCES} || exit 1
+tar xf __qtcreator_main.tar || exit 1
+tar xf __qtcreator_qbs.tar || exit 1
+tar czf "${RESULTDIR}/${PREFIX}.tar.gz" ${PREFIX}/ || exit 1
+
+echo "Creating zip archive..."
+echo " Filtering binary vs text files..."
+# write filter for text files (for use with 'file' command)
+echo ".*:.*ASCII
+.*:.*directory
+.*:.*empty
+.*:.*POSIX
+.*:.*html
+.*:.*text" > __txtpattern || exit 1
+# list all files
+find ${PREFIX} > __packagedfiles || exit 1
+# record file types
+file -f __packagedfiles > __filetypes || exit 1
+echo " Creating archive..."
+# zip text files and binary files separately
+cat __filetypes | grep -f __txtpattern -v | cut -d: -f1 | zip -9q "${RESULTDIR}/${PREFIX}.zip" -@ || exit 1
+cat __filetypes | grep -f __txtpattern | cut -d: -f1 | zip -l9q "${RESULTDIR}/${PREFIX}.zip" -@ || exit 1